| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.StaticInput Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.StaticInput:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetCurrent (self, value)
def | GetCurrent (self)
def | SetOF (self, value)
def | GetOF (self)
def | SetAngle (self, value)
def | GetAngle (self)
def | SetXY (self, value)
def | GetXY (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| current
| of
| xy
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Input Channel Systems - USB/UART
    System IDs: 0x50 through 0x57

    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
    +================+======+=============+==========+=============+=========+=======================================+
    | current        | 0x00 | float 32-bit| A        | -0.7 to 0.7 | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | of             | 0x01 | float 32-bit| None     | -1 to 1     | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | xy             | 0x02    | float 32-bit| Degrees  | -1 to 1  | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.StaticInput.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetAngle()

def optoKummenberg.registers.InputStage.StaticInput.GetAngle | ( |  | self | ) |

## ◆ GetCurrent()

def optoKummenberg.registers.InputStage.StaticInput.GetCurrent | ( |  | self | ) |

## ◆ GetOF()

def optoKummenberg.registers.InputStage.StaticInput.GetOF | ( |  | self | ) |

## ◆ GetXY()

def optoKummenberg.registers.InputStage.StaticInput.GetXY | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.StaticInput.help | ( |  | ) |
| static

## ◆ SetAngle()

def optoKummenberg.registers.InputStage.StaticInput.SetAngle | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetCurrent()

def optoKummenberg.registers.InputStage.StaticInput.SetCurrent | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetOF()

def optoKummenberg.registers.InputStage.StaticInput.SetOF | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetXY()

def optoKummenberg.registers.InputStage.StaticInput.SetXY | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ current

optoKummenberg.registers.InputStage.StaticInput.current

## ◆ name

optoKummenberg.registers.InputStage.StaticInput.name

## ◆ of

optoKummenberg.registers.InputStage.StaticInput.of

## ◆ sys_id

optoKummenberg.registers.InputStage.StaticInput.sys_id

## ◆ xy

optoKummenberg.registers.InputStage.StaticInput.xy

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/InputStage.py